<?php

namespace Actigraph\ActipageBaseBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Banniere
 *
 * @ORM\Table(name="banniere")
 * @ORM\Entity
 */
class Banniere
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id_banniere", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="image_banniere", type="string", length=200, nullable=false)
     */
    private $image;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="date_banniere", type="datetime", nullable=false)
     */
    private $date;

    /**
     * @var integer
     *
     * @ORM\Column(name="affiche", type="integer", nullable=false)
     */
    private $affiche = '0';

    /**
     * @var string
     *
     * @ORM\Column(name="lien", type="string", length=100, nullable=false)
     */
    private $lien;

    /**
     * @var integer
     *
     * @ORM\Column(name="idpage", type="integer", nullable=false)
     */
    private $idpage = '0';

    /**
     * @var integer
     *
     * @ORM\Column(name="ordre", type="integer", nullable=false)
     */
    private $ordre;

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getImage()
    {
        return $this->image;
    }

    /**
     * @param string $image
     */
    public function setImage($image)
    {
        $this->image = $image;
    }

    /**
     * @return \DateTime
     */
    public function getDate()
    {
        return $this->date;
    }

    /**
     * @param \DateTime $date
     */
    public function setDate($date)
    {
        $this->date = $date;
    }

    /**
     * @return int
     */
    public function getAffiche()
    {
        return $this->affiche;
    }

    /**
     * @param int $affiche
     */
    public function setAffiche($affiche)
    {
        $this->affiche = $affiche;
    }

    /**
     * @return string
     */
    public function getLien()
    {
        return $this->lien;
    }

    /**
     * @param string $lien
     */
    public function setLien($lien)
    {
        $this->lien = $lien;
    }

    /**
     * @return int
     */
    public function getIdpage()
    {
        return $this->idpage;
    }

    /**
     * @param int $idpage
     */
    public function setIdpage($idpage)
    {
        $this->idpage = $idpage;
    }

    /**
     * @return int
     */
    public function getOrdre()
    {
        return $this->ordre;
    }

    /**
     * @param int $ordre
     */
    public function setOrdre($ordre)
    {
        $this->ordre = $ordre;
    }


}
